> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lumenaza.de/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v3master datachangesredispatchcontrol resources



## OpenAPI

````yaml /lumx_openapi.yaml get /v3/master_data/changes/redispatch/control_resources/
openapi: 3.0.3
info:
  title: Lumenaza external API
  version: 3.8.0 (v3)
  description: Specification of the Lumenaza external API.
servers:
  - url: https://api.lumenaza.de/
    description: Produktivserver
  - url: https://api.test.lumenaza.de/
    description: Testserver
security: []
tags:
  - name: Community Data API
    description: >-
      The API is used to retrieve master data and measurement data for a
      community. A community is defined by all customers that belong to your
      company.
paths:
  /v3/master_data/changes/redispatch/control_resources/:
    get:
      tags:
        - master_data
      operationId: master_data_changes_redispatch_control_resources_list
      parameters:
        - name: limit
          required: false
          in: query
          description: Number of results to return per page.
          schema:
            type: integer
        - name: offset
          required: false
          in: query
          description: The initial index from which to return the results.
          schema:
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedMasterDataControlResourceList'
          description: ''
components:
  schemas:
    PaginatedMasterDataControlResourceList:
      type: object
      required:
        - count
        - results
      properties:
        count:
          type: integer
          example: 123
        next:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?offset=400&limit=100
        previous:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?offset=200&limit=100
        results:
          type: array
          items:
            $ref: '#/components/schemas/MasterDataControlResource'
    MasterDataControlResource:
      type: object
      properties:
        contract_id:
          type: string
          writeOnly: true
        control_resource_id:
          type: string
        id:
          type: integer
          readOnly: true
        operator:
          type: string
          title: Marktpartner ID
        use_case:
          allOf:
            - $ref: '#/components/schemas/MasterDataControlResourceUseCaseEnum'
          minimum: 0
          maximum: 32767
        bio_gas_plant:
          type: string
          title: Biogas-Anlage
          readOnly: true
          nullable: true
        photovoltaic_plant:
          type: string
          title: Solaranlage
          readOnly: true
          nullable: true
        water_plant:
          type: string
          title: Wasserkraft-Anlage
          readOnly: true
          nullable: true
        wind_park:
          type: string
          title: Windpark
          readOnly: true
          nullable: true
      required:
        - bio_gas_plant
        - contract_id
        - control_resource_id
        - id
        - operator
        - photovoltaic_plant
        - water_plant
        - wind_park
    MasterDataControlResourceUseCaseEnum:
      enum:
        - 1
        - 2
      type: integer
      description: |-
        * `1` - toleration
        * `2` - order

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.